import { Section } from "../components/sections";
import { useTabNavigation } from "../utils/TabNavigation";
import {H4, H2} from "../components/Headings";

export function Methods() {
  useTabNavigation();
    return (
      <>
        <Section title="Introduction" id="Introduction">
          ...
        </Section>
        <Section title="Patch Clamp" id="Patch Clamp">
          ...
        </Section>
        <Section title="Cell Lines" id="Cell Lines">
          <H2 text="Used Cell lines"></H2>
          <H4 text="HEK293 and HEK293T cell lines"></H4>
          <p>For testing our prime editing approach, we needed an easy-to-handle cell line with a measurable high expression of CFTR and the CFTR F508del mutation. When talking to Mattijs Bulcaen from the Laboratory of Molecular Virology and Gene Therapy at KU Leuven, he recommended to use HEK293T cell lines overexpressing CFTR they had used. HEK293 cells are a very common immortalized human cell line derived from the kidneys of a female embryo. They are particularly suited to research due to their convenient handling and transfection properties. Basic HEK293 cells were provided to us by the Cellular and Molecular Biotechnology working group at Bielefeld University led by Prof. Dr. Kristian Müller, who is also one of the Principal Investigators of our team. HEK293T cells express an additional tsA1609 allele of the SV40 large T-antigen, allowing for replication of vectors containing the SV40 origin of replication.[2] Besides the native CFTR gene, which is not expressed in HEK cells, the HEK293T cell lines used in Leuven carry another copy of the gene embedded in an expression cassette. The cassette includes a CMV promoter, which is a standard promoter used for gene overexpression in human cells derived from the human Cytomegalovirus[4], as well as a puromycin resistance co-expressed with the CFTR allowing for continuous selection of CFTR expressing cells. The whole construct was stably inserted into the genome using lentiviral transduction.1,3 </p>
          <H4 text="CFBE41o- cell line "></H4>
          <p>The CFBE41o- cell line, derived from bronchial epithelial cells of a one-year-old cystic fibrosis patient, serves as a vital model for studying cystic fibrosis. These cells closely mimic the physiological environment of the airway epithelium, allowing for more accurate studies on how CFTR mutations affect cell function and response to treatments. They were immortalized through calcium-phosphate-mediated transfection using a replication-defective pSVori plasmid that carries the simian virus 40 large T-antigen (SV40-LT). The plasmid's defective origin of replication prevents viral propagation, thus preserving essential physiological characteristics of the cells while enabling them to develop differentiated morphologies. CFBE41o- cells are homozygous for the ΔF508-CFTR mutation [1]. We are happy we got this cell line with permission from Prof. Dr. Zoya Ignatova, who is leader of a working group at the Institute for Biochemistry and Molecular Biology of Hamburg University and an iGEM supporter since a long time [6]. </p>
          <H4 text="Human nasal epithelial cells (hNECs)"></H4>
          <p>Human nasal epithelial cells were obtained by nasal brushing, a minimally invasive method. These cells function/act as primary cultures. Cultivated in air-liquid interface (ALI) cultures and apical-out airway organoids (AOAO), they serve as a suitable model to visualise the functional epithelium of the airways in a differentiated form. The in vivo aspects of an airway disease, such as CF, can be modelled using donors with those airway diseases (5) This model is therefore particularly suitable for testing our prime editing complex. </p>

        </Section>
      </>
    );
  }
  